#!/bin/bash

linknavi(){
#
# synopsis: linknavi currentpage output
#
  CURRENT=$1
  OUTPUT=$2

  echo '<DIV class="link-navigator">' >> $OUTPUT

  echo \[ >> $OUTPUT
  for n in `seq 1 5`
  do
    if [ $n -eq $CURRENT ]; then
      echo page$n \| >> $OUTPUT
    else
      echo \<A HREF=\"page$n.html\"\>page$n\<\/A\> \| >> $OUTPUT
    fi
  done

  if [ 6 -eq $CURRENT ]; then
    echo 'order ]' >> $OUTPUT
  else
    echo '<A HREF="order.html">order</A> ]' >> $OUTPUT
  fi
  echo '</DIV>' >> $OUTPUT
}

listpage(){
#
# synopsis: listpage filmnumber pagenumber output
#
  PAGE=$1
  FILM=FH`printf %02d $2`
  OUTPUT=page$1.html

  echo page $1 film $FILM
#
# header
#
  cat << EOB > $OUTPUT
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
  "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML LANG="ja" DIR="LTR">
<HEAD>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=euc-jp">
  <TITLE>TODO_TITLE (page$1)</TITLE>
  <LINK REV="made" HREF="mailto:TODO_MAIL">
  <LINK REL="stylesheet" TYPE="text/css" HREF="TODO_CSS">
</HEAD>

<BODY>
EOB

#
# head navi
#
linknavi $PAGE $OUTPUT

cat << EOB >> $OUTPUT
<H1>TODO_TITLE (page${PAGE}) </H1>
<P>
  򥯥ḁ̊ɥǳ祵βɽޤΤǡ
  Web ֥饦ե¸ʤɤƤѤ
</P>
<P>
  ץȼ̿˾ϡ
  <A HREF="order.html">ʸڡ</A>
  餴ʸʸ TODO_DEADLINE ޤǼդƤޤ
</P>
EOB

#
# images
#
COUNTER=0;
for f in thumbnail/${FILM}*.JPG
do
  BASE=`basename $f`
  COUNTER=`expr $COUNTER + 1`
  echo -n '<A HREF="image/'$BASE'" target="_blank">' >> $OUTPUT
  echo -n '<IMG SRC="'$f'" BORDER=2 WIDTH=300 HEIGHT=200 ALT="'$BASE'">' >> $OUTPUT
  echo -n '</A>' >> $OUTPUT 
  printf "<STRONG>%02d</STRONG>" $COUNTER >> $OUTPUT 
done

#
# bottom navi
#
echo '<HR>' >> $OUTPUT
linknavi $PAGE $OUTPUT

#
# footer
#
  cat << 'EOB' >>$OUTPUT
<HR>
<ADDRESS>
TODO_AUTHOR
&lt;TODO_MAIL&gt;<BR>
(2002-06-26)
</ADDRESS>
<HR>

TODO_LINKS
  
 </BODY>
</HTML>
EOB
}

listpage 1 0
listpage 2 2
listpage 3 1
listpage 4 3
listpage 5 4

#film order:
# 1st 0
# 2nd 2
# 3rd 1
# 4th 3
# 5th 4
